## libgda5 5.2.10

=== samples/CustomUIPlugin/Makefile ===
CFLAGS = -Wall -g -DGDA_DISABLE_DEPRECATED `pkg-config --cflags libgda-ui-5.0`
LDFLAGS = `pkg-config --libs libgda-ui-5.0`
PLUGINSDIR = `pkg-config --variable=pluginsdir libgda-ui-5.0`

all: custom-plugin.so

custom-plugin.so: libmain.o custom-entry-password.o

libmain.o: libmain.c
	$(CC) -fPIC -rdynamic $(CFLAGS) -c -o libmain.o libmain.c

custom-entry-password.o: custom-entry-password.c custom-entry-password.h
	$(CC) -fPIC -rdynamic $(CFLAGS) -c -o custom-entry-password.o custom-entry-password.c

custom-plugin.so: libmain.o custom-entry-password.o
	$(CC) -shared -Wl,-soname,custom-plugin.so -o custom-plugin.so libmain.o custom-entry-password.o

install: custom-plugin.so custom-entry-password.xml
	cp custom-plugin.so $(PLUGINSDIR)/
	cp custom-entry-password.xml $(PLUGINSDIR)/

uninstall:
	rm $(PLUGINSDIR)/custom-plugin.so
	rm $(PLUGINSDIR)/custom-entry-password.xml

clean:
	rm -f *~
	rm -f *.o
	rm -f *.so

=== samples/DDL/Makefile ===
CFLAGS = -Wall -g -DGDA_DISABLE_DEPRECATED `pkg-config --cflags libgda-5.0`
LDFLAGS = `pkg-config --libs libgda-5.0`

all: ddl

ddl: ddl.c
	$(CC) -o ddl ddl.c $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *~
	rm -f *.o
	rm -f ddl
	rm -f ddl_db.db

=== samples/DirDataModel/Makefile ===
CFLAGS = -Wall -g `pkg-config --cflags libgda-5.0`
LDFLAGS = `pkg-config --libs libgda-5.0`

all: find-duplicates

find-duplicates: find-duplicates.c
	$(CC) -o find-duplicates find-duplicates.c $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *~
	rm -f *.o
	rm -f find-duplicates

=== samples/Gir/Makefile ===
run:
	@cat README

clean:
	rm -f *~
	rm -f *.db

=== samples/XSLT/Makefile ===
CFLAGS = -Wall -g `pkg-config --cflags libgda-xslt-5.0`
LDFLAGS = `pkg-config --libs libgda-xslt-5.0`

all: transform

transform: transform.c
	$(CC) -o transform transform.c $(CFLAGS) $(LDFLAGS)

clean:
	rm -f *~
	rm -f *.o
	rm -f transform 
	rm -f out.xml

=== debian/changelog ===
libgda5 (5.2.10-4.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:57:27 +0000

libgda5 (5.2.10-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix MySQL detection by configure with
    -Werror=implicit-function-declaration (Closes: #1066768).

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 23 Mar 2024 16:10:52 +0500

libgda5 (5.2.10-4) unstable; urgency=medium

  * Bump debhelper from old 12 to 13
  * Stop using debian/control.in and dh-sequence-gnome
  * Update standards version to 4.6.2, no changes needed
  * Build-depend on dpkg-dev (>= 1.22.5) to avoid accidental backports
  * Release to unstable (Closes: #1062308)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 21:28:17 -0500

libgda5 (5.2.10-3.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Thu, 01 Feb 2024 00:53:23 +0000

libgda5 (5.2.10-3) unstable; urgency=high

  * Stop building with libsoup2.4. This drops the web provider
    (Closes: #1017528)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 Aug 2022 12:02:38 -0400

libgda5 (5.2.10-2) unstable; urgency=medium

  * Cherry-pick MySQL-bool-is-here-again.patch

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 11 Sep 2021 15:14:27 -0400

libgda5 (5.2.10-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on autoconf-archive
  * debian/rules: Clean up a bit
  * debian/rules: Don't ignore build test failures

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 11 Sep 2021 14:32:55 -0400

=== debian/control ===
Source: libgda5
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.22.5),
               dh-sequence-gir,
               autoconf-archive,
               intltool (>= 0.40.6),
               pkgconf,
               yelp-tools,
               yelp-xsl,
               libjson-glib-dev,
               libgee-0.8-dev,
               libglib2.0-dev (>= 2.32.0),
               libsqlite3-dev (>= 3.10.12),
               libxml2-dev (>= 2.4.22),
               libxslt1-dev (>= 1.0.18),
               default-libmysqlclient-dev,
               libncurses-dev,
               libpq-dev,
               libreadline-dev,
               gobject-introspection (>= 1.30.0),
               libgirepository1.0-dev (>= 1.30.0),
               gtk-doc-tools,
               valac (>= 0.41.7)
Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
Standards-Version: 4.6.2
Homepage: http://www.gnome-db.org/
Vcs-Git: https://salsa.debian.org/gnome-team/libgda5.git
Vcs-Browser: https://salsa.debian.org/gnome-team/libgda5

Package: libgda-5.0-4t64
Provides: ${t64:Provides}
Replaces: libgda-5.0-4
Breaks: libgda-5.0-4 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: libgda-5.0-common (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgda-5.0-bin,
          libgda-5.0-mysql,
          libgda-5.0-postgres
Description: data abstraction library based on GLib
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.

Package: libgda-5.0-bin
Section: database
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: data abstraction library based on GLib -- binary files
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains binary files for libgda.


Package: libgda-5.0-common
Section: database
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         libjs-jquery
Recommends: libgda-5.0-4t64
Description: data abstraction library based on GLib -- common files
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains common files for libgda.

Package: libgda-5.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgda-5.0-4t64 (= ${binary:Version}),
         gir1.2-gda-5.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.32.0),
         libxslt1-dev,
         ${misc:Depends}
Suggests: libgda-5.0-doc
Description: data abstraction library based on GLib -- development files
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains the header files and libraries needed for
 development.

Package: libgda-5.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: data abstraction library based on GLib -- documentation files
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains document files about libgda API.

Package: libgda-5.0-mysql
Section: database
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: MySQL provider for libgda database abstraction library
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains the provider needed to access MySQL databases
 through libgda.

Package: libgda-5.0-postgres
Section: database
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PostgreSQL provider for libgda database abstraction library
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains the provider needed to access PostgreSQL
 databases through libgda.

Package: gir1.2-gda-5.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Description: data abstraction library based on GLib -- GObject Introspection
 libgda is a (relatively small) database abstraction/access library
 integrated on the GLib object model. It can be used as a metadata
 extractor, to get information about all database objects in a common
 way, and as an ODBC-like wrapper to access data in different engines
 through an easier API.
 .
 This package contains introspection data for libgda.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -X /usr/lib/$(DEB_HOST_MULTIARCH)/libgda-5.0/providers \
		-plibgda-5.0-4t64 -- -c4
	dh_makeshlibs -X /usr/lib/$(DEB_HOST_MULTIARCH)/libgda-5.0/providers

# Parallel builds break the test suite, see
# https://bugzilla.gnome.org/show_bug.cgi?id=723038
override_dh_auto_test:
	dh_auto_test --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-postgres		\
		--with-mysql		\
		--without-libsecret	\
		--without-libsoup	\
		--without-bdb		\
		--without-oracle	\
		--without-ldap		\
		--without-firebird	\
		--without-mdb		\
		--without-java		\
		--without-gnome-keyring	\
		--without-ui		\
		--disable-gdaui-gi	\
		--enable-system-sqlite	\
		--enable-introspection	\
		--enable-vala		\
		--disable-crypto	\
		--enable-gtk-doc

override_dh_auto_install:
	dh_auto_install
	# Drop trml2{html,pdf} python2 tools, build system in future 6.0/master
	# disables libgda-report (and thus these tools) by default.
	rm -rf debian/tmp/usr/share/libgda-5.0/gda_trml2*

override_dh_install-indep:
	dh_install
	# Don't ship our own copy of jquery.js
	ln -s ../../javascript/jquery/jquery.js \
		debian/libgda-5.0-common/usr/share/libgda-5.0/web/

override_dh_install-arch:
	dh_install
	set -e; for pkg in libgda-5.0-bin libgda-5.0-dev \
	  libgda-5.0-mysql libgda-5.0-postgres; \
	do \
		rm -rf debian/$$pkg/usr/share/doc; \
		dh_link -p$$pkg usr/share/doc/libgda-5.0-4t64 usr/share/doc/$$pkg; \
	done

	find debian -name '*.la' -delete
	# remove test database, not shipped.
	rm -f debian/tmp/etc/libgda-5.0/sales_test.db
	# remove unversioned binaries, the -5.0 counterparts are installed.
	rm -f debian/tmp/usr/bin/gda-list-config \
		debian/tmp/usr/bin/gda-list-server-op \
		debian/tmp/usr/bin/gda-sql
	rm -f debian/tmp/usr/share/man/man1/gda-sql.1

override_dh_missing:
	dh_missing --list-missing

=== debian/watch ===
version=4
https://download.gnome.org/sources/libgda/(5\.[2468]+)/ \
	libgda@ANY_VERSION@\.tar\.xz
